Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network127.208.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
127.208.0.0
Broadcast address
127.209.255.255
First usable
127.208.0.1
Last usable
127.209.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Loopback 127.0.0.0/8
This computer
Old class
A (default /8)
As numbers
Hex 7FD00000 · Integer 2144337920 to 2144468991
Reverse DNS zones
208.127.in-addr.arpa
209.127.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111111.11010000.00000000.00000000127.208.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01111111.11010000.00000000.00000000127.208.0.0
Broadcast01111111.11010001.11111111.11111111127.209.255.255
Split into smaller subnets/26

127.208.0.0/15 makes 2,048 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1127.208.0.0/26127.208.0.1 to 127.208.0.62127.208.0.6362
2127.208.0.64/26127.208.0.65 to 127.208.0.126127.208.0.12762
3127.208.0.128/26127.208.0.129 to 127.208.0.190127.208.0.19162
4127.208.0.192/26127.208.0.193 to 127.208.0.254127.208.0.25562
5127.208.1.0/26127.208.1.1 to 127.208.1.62127.208.1.6362
6127.208.1.64/26127.208.1.65 to 127.208.1.126127.208.1.12762
7127.208.1.128/26127.208.1.129 to 127.208.1.190127.208.1.19162
8127.208.1.192/26127.208.1.193 to 127.208.1.254127.208.1.25562
9127.208.2.0/26127.208.2.1 to 127.208.2.62127.208.2.6362
10127.208.2.64/26127.208.2.65 to 127.208.2.126127.208.2.12762
11127.208.2.128/26127.208.2.129 to 127.208.2.190127.208.2.19162
12127.208.2.192/26127.208.2.193 to 127.208.2.254127.208.2.25562
13127.208.3.0/26127.208.3.1 to 127.208.3.62127.208.3.6362
14127.208.3.64/26127.208.3.65 to 127.208.3.126127.208.3.12762
15127.208.3.128/26127.208.3.129 to 127.208.3.190127.208.3.19162
16127.208.3.192/26127.208.3.193 to 127.208.3.254127.208.3.25562
17127.208.4.0/26127.208.4.1 to 127.208.4.62127.208.4.6362
18127.208.4.64/26127.208.4.65 to 127.208.4.126127.208.4.12762
19127.208.4.128/26127.208.4.129 to 127.208.4.190127.208.4.19162
20127.208.4.192/26127.208.4.193 to 127.208.4.254127.208.4.25562
21127.208.5.0/26127.208.5.1 to 127.208.5.62127.208.5.6362
22127.208.5.64/26127.208.5.65 to 127.208.5.126127.208.5.12762
23127.208.5.128/26127.208.5.129 to 127.208.5.190127.208.5.19162
24127.208.5.192/26127.208.5.193 to 127.208.5.254127.208.5.25562
25127.208.6.0/26127.208.6.1 to 127.208.6.62127.208.6.6362
26127.208.6.64/26127.208.6.65 to 127.208.6.126127.208.6.12762
27127.208.6.128/26127.208.6.129 to 127.208.6.190127.208.6.19162
28127.208.6.192/26127.208.6.193 to 127.208.6.254127.208.6.25562
29127.208.7.0/26127.208.7.1 to 127.208.7.62127.208.7.6362
30127.208.7.64/26127.208.7.65 to 127.208.7.126127.208.7.12762
31127.208.7.128/26127.208.7.129 to 127.208.7.190127.208.7.19162
32127.208.7.192/26127.208.7.193 to 127.208.7.254127.208.7.25562
33127.208.8.0/26127.208.8.1 to 127.208.8.62127.208.8.6362
34127.208.8.64/26127.208.8.65 to 127.208.8.126127.208.8.12762
35127.208.8.128/26127.208.8.129 to 127.208.8.190127.208.8.19162
36127.208.8.192/26127.208.8.193 to 127.208.8.254127.208.8.25562
37127.208.9.0/26127.208.9.1 to 127.208.9.62127.208.9.6362
38127.208.9.64/26127.208.9.65 to 127.208.9.126127.208.9.12762
39127.208.9.128/26127.208.9.129 to 127.208.9.190127.208.9.19162
40127.208.9.192/26127.208.9.193 to 127.208.9.254127.208.9.25562
41127.208.10.0/26127.208.10.1 to 127.208.10.62127.208.10.6362
42127.208.10.64/26127.208.10.65 to 127.208.10.126127.208.10.12762
43127.208.10.128/26127.208.10.129 to 127.208.10.190127.208.10.19162
44127.208.10.192/26127.208.10.193 to 127.208.10.254127.208.10.25562
45127.208.11.0/26127.208.11.1 to 127.208.11.62127.208.11.6362
46127.208.11.64/26127.208.11.65 to 127.208.11.126127.208.11.12762
47127.208.11.128/26127.208.11.129 to 127.208.11.190127.208.11.19162
48127.208.11.192/26127.208.11.193 to 127.208.11.254127.208.11.25562
49127.208.12.0/26127.208.12.1 to 127.208.12.62127.208.12.6362
50127.208.12.64/26127.208.12.65 to 127.208.12.126127.208.12.12762
51127.208.12.128/26127.208.12.129 to 127.208.12.190127.208.12.19162
52127.208.12.192/26127.208.12.193 to 127.208.12.254127.208.12.25562
53127.208.13.0/26127.208.13.1 to 127.208.13.62127.208.13.6362
54127.208.13.64/26127.208.13.65 to 127.208.13.126127.208.13.12762
55127.208.13.128/26127.208.13.129 to 127.208.13.190127.208.13.19162
56127.208.13.192/26127.208.13.193 to 127.208.13.254127.208.13.25562
57127.208.14.0/26127.208.14.1 to 127.208.14.62127.208.14.6362
58127.208.14.64/26127.208.14.65 to 127.208.14.126127.208.14.12762
59127.208.14.128/26127.208.14.129 to 127.208.14.190127.208.14.19162
60127.208.14.192/26127.208.14.193 to 127.208.14.254127.208.14.25562
61127.208.15.0/26127.208.15.1 to 127.208.15.62127.208.15.6362
62127.208.15.64/26127.208.15.65 to 127.208.15.126127.208.15.12762
63127.208.15.128/26127.208.15.129 to 127.208.15.190127.208.15.19162
64127.208.15.192/26127.208.15.193 to 127.208.15.254127.208.15.25562
65127.208.16.0/26127.208.16.1 to 127.208.16.62127.208.16.6362
66127.208.16.64/26127.208.16.65 to 127.208.16.126127.208.16.12762
67127.208.16.128/26127.208.16.129 to 127.208.16.190127.208.16.19162
68127.208.16.192/26127.208.16.193 to 127.208.16.254127.208.16.25562
69127.208.17.0/26127.208.17.1 to 127.208.17.62127.208.17.6362
70127.208.17.64/26127.208.17.65 to 127.208.17.126127.208.17.12762
71127.208.17.128/26127.208.17.129 to 127.208.17.190127.208.17.19162
72127.208.17.192/26127.208.17.193 to 127.208.17.254127.208.17.25562
73127.208.18.0/26127.208.18.1 to 127.208.18.62127.208.18.6362
74127.208.18.64/26127.208.18.65 to 127.208.18.126127.208.18.12762
75127.208.18.128/26127.208.18.129 to 127.208.18.190127.208.18.19162
76127.208.18.192/26127.208.18.193 to 127.208.18.254127.208.18.25562
77127.208.19.0/26127.208.19.1 to 127.208.19.62127.208.19.6362
78127.208.19.64/26127.208.19.65 to 127.208.19.126127.208.19.12762
79127.208.19.128/26127.208.19.129 to 127.208.19.190127.208.19.19162
80127.208.19.192/26127.208.19.193 to 127.208.19.254127.208.19.25562
81127.208.20.0/26127.208.20.1 to 127.208.20.62127.208.20.6362
82127.208.20.64/26127.208.20.65 to 127.208.20.126127.208.20.12762
83127.208.20.128/26127.208.20.129 to 127.208.20.190127.208.20.19162
84127.208.20.192/26127.208.20.193 to 127.208.20.254127.208.20.25562
85127.208.21.0/26127.208.21.1 to 127.208.21.62127.208.21.6362
86127.208.21.64/26127.208.21.65 to 127.208.21.126127.208.21.12762
87127.208.21.128/26127.208.21.129 to 127.208.21.190127.208.21.19162
88127.208.21.192/26127.208.21.193 to 127.208.21.254127.208.21.25562
89127.208.22.0/26127.208.22.1 to 127.208.22.62127.208.22.6362
90127.208.22.64/26127.208.22.65 to 127.208.22.126127.208.22.12762
91127.208.22.128/26127.208.22.129 to 127.208.22.190127.208.22.19162
92127.208.22.192/26127.208.22.193 to 127.208.22.254127.208.22.25562
93127.208.23.0/26127.208.23.1 to 127.208.23.62127.208.23.6362
94127.208.23.64/26127.208.23.65 to 127.208.23.126127.208.23.12762
95127.208.23.128/26127.208.23.129 to 127.208.23.190127.208.23.19162
96127.208.23.192/26127.208.23.193 to 127.208.23.254127.208.23.25562
97127.208.24.0/26127.208.24.1 to 127.208.24.62127.208.24.6362
98127.208.24.64/26127.208.24.65 to 127.208.24.126127.208.24.12762
99127.208.24.128/26127.208.24.129 to 127.208.24.190127.208.24.19162
100127.208.24.192/26127.208.24.193 to 127.208.24.254127.208.24.25562
101127.208.25.0/26127.208.25.1 to 127.208.25.62127.208.25.6362
102127.208.25.64/26127.208.25.65 to 127.208.25.126127.208.25.12762
103127.208.25.128/26127.208.25.129 to 127.208.25.190127.208.25.19162
104127.208.25.192/26127.208.25.193 to 127.208.25.254127.208.25.25562
105127.208.26.0/26127.208.26.1 to 127.208.26.62127.208.26.6362
106127.208.26.64/26127.208.26.65 to 127.208.26.126127.208.26.12762
107127.208.26.128/26127.208.26.129 to 127.208.26.190127.208.26.19162
108127.208.26.192/26127.208.26.193 to 127.208.26.254127.208.26.25562
109127.208.27.0/26127.208.27.1 to 127.208.27.62127.208.27.6362
110127.208.27.64/26127.208.27.65 to 127.208.27.126127.208.27.12762
111127.208.27.128/26127.208.27.129 to 127.208.27.190127.208.27.19162
112127.208.27.192/26127.208.27.193 to 127.208.27.254127.208.27.25562
113127.208.28.0/26127.208.28.1 to 127.208.28.62127.208.28.6362
114127.208.28.64/26127.208.28.65 to 127.208.28.126127.208.28.12762
115127.208.28.128/26127.208.28.129 to 127.208.28.190127.208.28.19162
116127.208.28.192/26127.208.28.193 to 127.208.28.254127.208.28.25562
117127.208.29.0/26127.208.29.1 to 127.208.29.62127.208.29.6362
118127.208.29.64/26127.208.29.65 to 127.208.29.126127.208.29.12762
119127.208.29.128/26127.208.29.129 to 127.208.29.190127.208.29.19162
120127.208.29.192/26127.208.29.193 to 127.208.29.254127.208.29.25562
121127.208.30.0/26127.208.30.1 to 127.208.30.62127.208.30.6362
122127.208.30.64/26127.208.30.65 to 127.208.30.126127.208.30.12762
123127.208.30.128/26127.208.30.129 to 127.208.30.190127.208.30.19162
124127.208.30.192/26127.208.30.193 to 127.208.30.254127.208.30.25562
125127.208.31.0/26127.208.31.1 to 127.208.31.62127.208.31.6362
126127.208.31.64/26127.208.31.65 to 127.208.31.126127.208.31.12762
127127.208.31.128/26127.208.31.129 to 127.208.31.190127.208.31.19162
128127.208.31.192/26127.208.31.193 to 127.208.31.254127.208.31.25562
129127.208.32.0/26127.208.32.1 to 127.208.32.62127.208.32.6362
130127.208.32.64/26127.208.32.65 to 127.208.32.126127.208.32.12762
131127.208.32.128/26127.208.32.129 to 127.208.32.190127.208.32.19162
132127.208.32.192/26127.208.32.193 to 127.208.32.254127.208.32.25562
133127.208.33.0/26127.208.33.1 to 127.208.33.62127.208.33.6362
134127.208.33.64/26127.208.33.65 to 127.208.33.126127.208.33.12762
135127.208.33.128/26127.208.33.129 to 127.208.33.190127.208.33.19162
136127.208.33.192/26127.208.33.193 to 127.208.33.254127.208.33.25562
137127.208.34.0/26127.208.34.1 to 127.208.34.62127.208.34.6362
138127.208.34.64/26127.208.34.65 to 127.208.34.126127.208.34.12762
139127.208.34.128/26127.208.34.129 to 127.208.34.190127.208.34.19162
140127.208.34.192/26127.208.34.193 to 127.208.34.254127.208.34.25562
141127.208.35.0/26127.208.35.1 to 127.208.35.62127.208.35.6362
142127.208.35.64/26127.208.35.65 to 127.208.35.126127.208.35.12762
143127.208.35.128/26127.208.35.129 to 127.208.35.190127.208.35.19162
144127.208.35.192/26127.208.35.193 to 127.208.35.254127.208.35.25562
145127.208.36.0/26127.208.36.1 to 127.208.36.62127.208.36.6362
146127.208.36.64/26127.208.36.65 to 127.208.36.126127.208.36.12762
147127.208.36.128/26127.208.36.129 to 127.208.36.190127.208.36.19162
148127.208.36.192/26127.208.36.193 to 127.208.36.254127.208.36.25562
149127.208.37.0/26127.208.37.1 to 127.208.37.62127.208.37.6362
150127.208.37.64/26127.208.37.65 to 127.208.37.126127.208.37.12762
151127.208.37.128/26127.208.37.129 to 127.208.37.190127.208.37.19162
152127.208.37.192/26127.208.37.193 to 127.208.37.254127.208.37.25562
153127.208.38.0/26127.208.38.1 to 127.208.38.62127.208.38.6362
154127.208.38.64/26127.208.38.65 to 127.208.38.126127.208.38.12762
155127.208.38.128/26127.208.38.129 to 127.208.38.190127.208.38.19162
156127.208.38.192/26127.208.38.193 to 127.208.38.254127.208.38.25562
157127.208.39.0/26127.208.39.1 to 127.208.39.62127.208.39.6362
158127.208.39.64/26127.208.39.65 to 127.208.39.126127.208.39.12762
159127.208.39.128/26127.208.39.129 to 127.208.39.190127.208.39.19162
160127.208.39.192/26127.208.39.193 to 127.208.39.254127.208.39.25562
161127.208.40.0/26127.208.40.1 to 127.208.40.62127.208.40.6362
162127.208.40.64/26127.208.40.65 to 127.208.40.126127.208.40.12762
163127.208.40.128/26127.208.40.129 to 127.208.40.190127.208.40.19162
164127.208.40.192/26127.208.40.193 to 127.208.40.254127.208.40.25562
165127.208.41.0/26127.208.41.1 to 127.208.41.62127.208.41.6362
166127.208.41.64/26127.208.41.65 to 127.208.41.126127.208.41.12762
167127.208.41.128/26127.208.41.129 to 127.208.41.190127.208.41.19162
168127.208.41.192/26127.208.41.193 to 127.208.41.254127.208.41.25562
169127.208.42.0/26127.208.42.1 to 127.208.42.62127.208.42.6362
170127.208.42.64/26127.208.42.65 to 127.208.42.126127.208.42.12762
171127.208.42.128/26127.208.42.129 to 127.208.42.190127.208.42.19162
172127.208.42.192/26127.208.42.193 to 127.208.42.254127.208.42.25562
173127.208.43.0/26127.208.43.1 to 127.208.43.62127.208.43.6362
174127.208.43.64/26127.208.43.65 to 127.208.43.126127.208.43.12762
175127.208.43.128/26127.208.43.129 to 127.208.43.190127.208.43.19162
176127.208.43.192/26127.208.43.193 to 127.208.43.254127.208.43.25562
177127.208.44.0/26127.208.44.1 to 127.208.44.62127.208.44.6362
178127.208.44.64/26127.208.44.65 to 127.208.44.126127.208.44.12762
179127.208.44.128/26127.208.44.129 to 127.208.44.190127.208.44.19162
180127.208.44.192/26127.208.44.193 to 127.208.44.254127.208.44.25562
181127.208.45.0/26127.208.45.1 to 127.208.45.62127.208.45.6362
182127.208.45.64/26127.208.45.65 to 127.208.45.126127.208.45.12762
183127.208.45.128/26127.208.45.129 to 127.208.45.190127.208.45.19162
184127.208.45.192/26127.208.45.193 to 127.208.45.254127.208.45.25562
185127.208.46.0/26127.208.46.1 to 127.208.46.62127.208.46.6362
186127.208.46.64/26127.208.46.65 to 127.208.46.126127.208.46.12762
187127.208.46.128/26127.208.46.129 to 127.208.46.190127.208.46.19162
188127.208.46.192/26127.208.46.193 to 127.208.46.254127.208.46.25562
189127.208.47.0/26127.208.47.1 to 127.208.47.62127.208.47.6362
190127.208.47.64/26127.208.47.65 to 127.208.47.126127.208.47.12762
191127.208.47.128/26127.208.47.129 to 127.208.47.190127.208.47.19162
192127.208.47.192/26127.208.47.193 to 127.208.47.254127.208.47.25562
193127.208.48.0/26127.208.48.1 to 127.208.48.62127.208.48.6362
194127.208.48.64/26127.208.48.65 to 127.208.48.126127.208.48.12762
195127.208.48.128/26127.208.48.129 to 127.208.48.190127.208.48.19162
196127.208.48.192/26127.208.48.193 to 127.208.48.254127.208.48.25562
197127.208.49.0/26127.208.49.1 to 127.208.49.62127.208.49.6362
198127.208.49.64/26127.208.49.65 to 127.208.49.126127.208.49.12762
199127.208.49.128/26127.208.49.129 to 127.208.49.190127.208.49.19162
200127.208.49.192/26127.208.49.193 to 127.208.49.254127.208.49.25562
201127.208.50.0/26127.208.50.1 to 127.208.50.62127.208.50.6362
202127.208.50.64/26127.208.50.65 to 127.208.50.126127.208.50.12762
203127.208.50.128/26127.208.50.129 to 127.208.50.190127.208.50.19162
204127.208.50.192/26127.208.50.193 to 127.208.50.254127.208.50.25562
205127.208.51.0/26127.208.51.1 to 127.208.51.62127.208.51.6362
206127.208.51.64/26127.208.51.65 to 127.208.51.126127.208.51.12762
207127.208.51.128/26127.208.51.129 to 127.208.51.190127.208.51.19162
208127.208.51.192/26127.208.51.193 to 127.208.51.254127.208.51.25562
209127.208.52.0/26127.208.52.1 to 127.208.52.62127.208.52.6362
210127.208.52.64/26127.208.52.65 to 127.208.52.126127.208.52.12762
211127.208.52.128/26127.208.52.129 to 127.208.52.190127.208.52.19162
212127.208.52.192/26127.208.52.193 to 127.208.52.254127.208.52.25562
213127.208.53.0/26127.208.53.1 to 127.208.53.62127.208.53.6362
214127.208.53.64/26127.208.53.65 to 127.208.53.126127.208.53.12762
215127.208.53.128/26127.208.53.129 to 127.208.53.190127.208.53.19162
216127.208.53.192/26127.208.53.193 to 127.208.53.254127.208.53.25562
217127.208.54.0/26127.208.54.1 to 127.208.54.62127.208.54.6362
218127.208.54.64/26127.208.54.65 to 127.208.54.126127.208.54.12762
219127.208.54.128/26127.208.54.129 to 127.208.54.190127.208.54.19162
220127.208.54.192/26127.208.54.193 to 127.208.54.254127.208.54.25562
221127.208.55.0/26127.208.55.1 to 127.208.55.62127.208.55.6362
222127.208.55.64/26127.208.55.65 to 127.208.55.126127.208.55.12762
223127.208.55.128/26127.208.55.129 to 127.208.55.190127.208.55.19162
224127.208.55.192/26127.208.55.193 to 127.208.55.254127.208.55.25562
225127.208.56.0/26127.208.56.1 to 127.208.56.62127.208.56.6362
226127.208.56.64/26127.208.56.65 to 127.208.56.126127.208.56.12762
227127.208.56.128/26127.208.56.129 to 127.208.56.190127.208.56.19162
228127.208.56.192/26127.208.56.193 to 127.208.56.254127.208.56.25562
229127.208.57.0/26127.208.57.1 to 127.208.57.62127.208.57.6362
230127.208.57.64/26127.208.57.65 to 127.208.57.126127.208.57.12762
231127.208.57.128/26127.208.57.129 to 127.208.57.190127.208.57.19162
232127.208.57.192/26127.208.57.193 to 127.208.57.254127.208.57.25562
233127.208.58.0/26127.208.58.1 to 127.208.58.62127.208.58.6362
234127.208.58.64/26127.208.58.65 to 127.208.58.126127.208.58.12762
235127.208.58.128/26127.208.58.129 to 127.208.58.190127.208.58.19162
236127.208.58.192/26127.208.58.193 to 127.208.58.254127.208.58.25562
237127.208.59.0/26127.208.59.1 to 127.208.59.62127.208.59.6362
238127.208.59.64/26127.208.59.65 to 127.208.59.126127.208.59.12762
239127.208.59.128/26127.208.59.129 to 127.208.59.190127.208.59.19162
240127.208.59.192/26127.208.59.193 to 127.208.59.254127.208.59.25562
241127.208.60.0/26127.208.60.1 to 127.208.60.62127.208.60.6362
242127.208.60.64/26127.208.60.65 to 127.208.60.126127.208.60.12762
243127.208.60.128/26127.208.60.129 to 127.208.60.190127.208.60.19162
244127.208.60.192/26127.208.60.193 to 127.208.60.254127.208.60.25562
245127.208.61.0/26127.208.61.1 to 127.208.61.62127.208.61.6362
246127.208.61.64/26127.208.61.65 to 127.208.61.126127.208.61.12762
247127.208.61.128/26127.208.61.129 to 127.208.61.190127.208.61.19162
248127.208.61.192/26127.208.61.193 to 127.208.61.254127.208.61.25562
249127.208.62.0/26127.208.62.1 to 127.208.62.62127.208.62.6362
250127.208.62.64/26127.208.62.65 to 127.208.62.126127.208.62.12762
251127.208.62.128/26127.208.62.129 to 127.208.62.190127.208.62.19162
252127.208.62.192/26127.208.62.193 to 127.208.62.254127.208.62.25562
253127.208.63.0/26127.208.63.1 to 127.208.63.62127.208.63.6362
254127.208.63.64/26127.208.63.65 to 127.208.63.126127.208.63.12762
255127.208.63.128/26127.208.63.129 to 127.208.63.190127.208.63.19162
256127.208.63.192/26127.208.63.193 to 127.208.63.254127.208.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses